Subject: Re: "Broken pipe" warning from bash.
From: Brian Dessent <[email-masked]>
Cc: cygwin mailing-list <[email-masked]>
Date: Tue, 28 Sep 2004 13:19:33 -0700

Errol Smith wrote:

> >=== Begin tc-pipe.sh ===
> >#!/bin/bash
> >
> >for t in a b; do
> >  seq 1 2
> >done | head -n 1
> >
> >==== End tc-pipe.sh ====
> 
>   I was going to say "use a recent snapshot because the 'Broken Pipe'
> problems were fixed by the Gold-Star deserving Pierre"... BUT I tried your
> testcase and it fails (intermittently) even with the latest snapshot
> (20040928).
>   Pierre's patch DID fix the broken pipe issues I reported so this might be
> a different problem.

Even stranger, it only seems to fail if the script is in a file.  If you
type it at a prompt (on one line or not, doesn't matter) you don't get
the error.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/